QwtIntervalSample(3)

NAME
QwtIntervalSample -

A sample of the types (x1-x2, y) or (x, y1-y2)

SYNOPSIS

#include <qwt_series_data.h>

  Public Member Functions
QwtIntervalSample ()
QwtIntervalSample (double, const QwtInterval &)
QwtIntervalSample (double value, double min, double max)
bool operator== (const QwtIntervalSample &) const
bool operator!= (const QwtIntervalSample &) const

  Public Attributes
double value
QwtInterval interval

Detailed Description

A sample of the types (x1-x2, y) or (x, y1-y2)

Constructor & Destructor Documentation

  QwtIntervalSample::QwtIntervalSample () [inline] Constructor The value is set to 0.0, the interval is invalid

  QwtIntervalSample::QwtIntervalSample (doublev, const QwtInterval &intv) [inline]

Constructor.

  QwtIntervalSample::QwtIntervalSample (doublevalue, doublemin, doublemax) [inline]

Constructor.

Member Function Documentation

  bool QwtIntervalSample::operator!= (const QwtIntervalSample &other) const [inline]

Compare operator.

  bool QwtIntervalSample::operator== (const QwtIntervalSample &other) const [inline]

Compare operator.

Member Data Documentation

  QwtInterval QwtIntervalSample::interval

Interval.

  double QwtIntervalSample::value

Value.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.